import { Component } from '@angular/core';

@Component({
  selector: 'cse-audit-legend',
  templateUrl: './audit-legend.component.html',
  styleUrls: ['./audit-legend.component.scss'],
})
export class AuditLegendComponent {
  public auditCourseColumns: string[] = ['symbol', 'description'];
  public auditCourseSymbols: { symbol: string; description: string }[] = [
    { symbol: '>D', description: 'Duplicate course - retains GPA effect' },
    { symbol: '>R', description: 'Repeatable course' },
    { symbol: '>S', description: 'Credit split between requirements' },
    {
      symbol: '>X',
      description: 'Repeated course - no course credit or GPA effect',
    },
    { symbol: '(R)', description: 'Required course' },
    { symbol: '(X)', description: 'Original course value' },
  ];

  public auditGradeSymbols: { symbol: string; description: string }[] = [
    { symbol: 'EIP', description: 'Extended incomplete' },
    { symbol: 'CR', description: 'Credit (credit/no credit courses)' },
    { symbol: 'HS', description: 'High school unit' },
    { symbol: 'IN', description: 'Incomplete (credit/no credit courses)' },
    { symbol: 'INP', description: 'In-progress course (current term)' },
    { symbol: 'IP', description: 'Incomplete' },
    { symbol: 'N', description: 'No credit (credit/no credit courses)' },
    { symbol: 'NR', description: 'Not reported' },
    { symbol: 'NW', description: 'No work' },
    { symbol: 'PL', description: 'Planned course' },
    { symbol: 'PP', description: 'Progress' },
    { symbol: 'PS', description: 'Mock/pseudo course' },
    { symbol: 'Q', description: 'Question on credits or honors' },
    { symbol: 'S', description: 'Satisfactory (pass/fail and audit courses)' },
    { symbol: 'T', description: 'Transfer/test/advanced standing course' },
    { symbol: 'U', description: 'Unsatisfactory (pass/fail courses)' },
  ];

  public auditReqInformation: { symbol: string; description: string }[] = [
    { symbol: 'OK', description: 'Requirement complete' },
    { symbol: 'NO', description: 'Requirement not complete' },
    {
      symbol: 'IP',
      description: 'Requirement uses in-progress credit/courses',
    },
    {
      symbol: 'IN-P',
      description: 'Sub-requirement uses in progress credit/courses',
    },
    {
      symbol: 'PL',
      description: 'Requirement/sub-requirement uses planned course',
    },
    { symbol: 'R', description: 'Required sub-requirement (mandatory)' },
    {
      symbol: '<>',
      description: "Optional/other requirement in OR'd set complete",
    },
    { symbol: '+', description: 'Sub-requirement complete' },
    { symbol: '-', description: 'Sub-requirement not complete' },
    { symbol: '*', description: 'Optional sub-requirement, courses assigned' },
    {
      symbol: ' ',
      description: 'Optional sub-requirement, no courses assigned',
    },
  ];

  public auditExceptionSymbols: { symbol: string; description: string }[] = [
    {
      symbol: 'AC',
      description: 'Course approved for requirement/sub-requirement',
    },
    {
      symbol: 'IC',
      description: 'Course inserted into requirement/sub-requirement',
    },
    { symbol: 'EC', description: 'Course exchanged for specified course' },
    {
      symbol: 'FC',
      description: 'Course forced into requirement/sub-requirement',
    },
    { symbol: 'CM', description: 'Course modified' },
    { symbol: 'CY', description: 'Catalog year modified' },
    {
      symbol: 'DC',
      description: 'Course deleted from requirement/sub-requirement',
    },
    { symbol: 'RM', description: 'Requirement modified' },
    { symbol: 'WC', description: 'Waive course' },
    { symbol: 'WP', description: 'Waive mock/pseudo course' },
  ];
}
