import { Pipe, PipeTransform } from '@angular/core';
import { ContentType } from '../models/audit/requirement';

@Pipe({ name: 'auditLine' })
export class AuditLinePipe implements PipeTransform {
  replaceIcon(line: string, search: string, icon: string): string {
    return line.replace(search, `<i class="material-icons">${icon}</i>`);
  }

  transform(line: string, type: ContentType['contentType']): string {
    switch (type) {
      case 'okSubrequirementTLine': {
        line = this.replaceIcon(line, '+', 'check');
        break;
      }

      case 'noSubrequirementTLine': {
        line = this.replaceIcon(line, '-', 'close');
        break;
      }
    }

    return line;
  }
}
